function a = aic_gvm(angles,m1,m2,k1,k2); 

%________________________________________________________________________________________
% AIC_GVM.M
% arguments: angles (sample values), m1, m2, k1, k2 (MLE) 
% This function computes the AIC for the GvM model   
%________________________________________________________________________________________

n=length(angles);

p1=-2*k1*sum(cos(angles-m1));
p2=-2*k2*sum(cos(2*(angles-m2)));
p3=2*n*log(2*pi*G0(m1-m2,k1,k2)); 
p4=2*4;

a=p1+p2+p3+p4;


