function a = aic_vm2(angles,m2,k2); 

%________________________________________________________________________________________
% AIC_VM2.M
% arguments: angles (sample values), m2, k2 (MLE) 
% This function computes the AIC for the bimodal or double frequency vM model   
%________________________________________________________________________________________

n=length(angles);

p1=-2*k2*sum(cos(2*(angles-m2)));
p2=2*n*log(2*pi*besseli(0,k2)); 
p3=2*2;

a=p1+p2+p3;


