%_____________________________________________________________________________________
% MLE_VM.M
% angles (sample values) 
% This function computes the MLE under vM(m,k1)  
%_____________________________________________________________________________________

% options = optimset('MaxIter',1000,'MaxFunEvals',5000,'TolFun',1e-3,'TolX',1e-2);
options = [];

start=[0 0 0 0];

disp('fminsearch.m for log-likelihood running ...');
t = fminsearch('nloglik_vm',start,options,angles); 
disp('... fminsearch.m done');

m=mod(t(1),2*pi); k=exp(t(2));
disp('mu = '), disp(m);
disp('kappa = '), disp(k),
