function h=H(r,d,k1,k2); 

%_____________________________________________________________________________
% H.M
% arguments: r=0,1,..., d (m1-m2), k1, k2 
% This function computes the constant H_r arising in the context of the 
% GvM(m1,m2,k1,k2) distribution
%_____________________________________________________________________________

accuracy=10e-15;
summand=1;
sum=0;
j=1;

while summand>accuracy,
	summand=(besseli(2*j+r,k1)-besseli(abs(2*j-r),k1))*besseli(j,k2)*sin(2*j*d);
	sum=sum+summand;
	j=j+1;
end;

if (r/2-floor(r/2)==0)&(r>=2),
	c=besseli(0,k1)*besseli(r/2,k2)*sin(r*d);
else,
	c=0;
end; 

h=-c+sum;
