function a = aic_vm(angles,m1,k1); 

%________________________________________________________________________________________
% AIC_VM.M
% arguments: angles (sample values), m1, k1 (MLE) 
% This function computes the AIC for the vM model   
%________________________________________________________________________________________

n=length(angles);

p1=-2*k1*sum(cos(angles-m1));
p2=2*n*log(2*pi*besseli(0,k1)); 
p3=2*2;

a=p1+p2+p3;


